Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryWidget.java	(revision 3893)
@@ -70,7 +70,7 @@
 		super(parent, style);
 		this.se = se;
 		if (se == null) {
-			System.out.println("WARNING");
+			System.out.println("WARNING"); //$NON-NLS-1$
 		}
 		this.project = project;
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/DynamicTableViewer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/DynamicTableViewer.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/DynamicTableViewer.java	(revision 3893)
@@ -62,11 +62,11 @@
 				
 				viewer.setContentProvider(new ArrayContentProvider());
 				ArrayList<List<String>> data = new ArrayList<List<String>>();
-				data.add(Arrays.asList("1111111111111111111 111111111111 1 1 11111111111111 11111111111", "2", "3"));
-				data.add(Arrays.asList("11111111111 1111111111  1111 1 1 1 1 111111111111  1 1 1 1 1 1 1 11 1 1 1 ", "2", "3"));
-				data.add(Arrays.asList("1", "2", "3"));
+				data.add(Arrays.asList("1111111111111111111 111111111111 1 1 11111111111111 11111111111", "2", "3")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				data.add(Arrays.asList("11111111111 1111111111  1111 1 1 1 1 111111111111  1 1 1 1 1 1 1 11 1 1 1 ", "2", "3")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				data.add(Arrays.asList("1", "2", "3")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 								
-				TableViewerColumn col = viewer.addColumn("first");
+				TableViewerColumn col = viewer.addColumn("first"); //$NON-NLS-1$
 				col.setLabelProvider(new ColumnLabelProvider() {
 				      @Override
 				      public String getText(Object element) {
@@ -75,7 +75,7 @@
 				      }
 				    });
 							
-				col = viewer.addColumn("second");
+				col = viewer.addColumn("second"); //$NON-NLS-1$
 				col.setLabelProvider(new ColumnLabelProvider() {
 				      @Override
 				      public String getText(Object element) {
@@ -84,7 +84,7 @@
 				      }
 				    });
 				
-				col = viewer.addColumn("third");
+				col = viewer.addColumn("third"); //$NON-NLS-1$
 				col.setLabelProvider(new ColumnLabelProvider() {
 				      @Override
 				      public String getText(Object element) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java	(revision 3893)
@@ -137,7 +137,7 @@
 			List<StructuralUnit> sus = corpus.getOrderedStructuralUnits();
 			Collections.sort(sus);
 			for (StructuralUnit su : sus) {
-				if (su.getName().equals("txmcorpus")) continue;
+				if (su.getName().equals("txmcorpus")) continue; //$NON-NLS-1$
 				structCombo.add(su.getName());
 			}
 			getStructure();
@@ -285,7 +285,7 @@
 		List<StructuralUnitProperty> sups = su.getOrderedProperties();
 		Collections.sort(sups);
 		for (StructuralUnitProperty sup : sups) {
-			if (su.getName().equals("text") && (sup.getName().equals("base") || sup.getName().equals("project"))) continue;
+			if (su.getName().equals("text") && (sup.getName().equals("base") || sup.getName().equals("project"))) continue; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			
 			propCombo.add(sup.getName());
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/preferences/___TXMDirectoryFieldEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/preferences/___TXMDirectoryFieldEditor.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/preferences/___TXMDirectoryFieldEditor.java	(revision 3893)
@@ -12,6 +12,7 @@
 import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.logger.Log;
 
 // FIXME: not used
@@ -35,7 +36,7 @@
 		changeButton.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, false, false));
 		
 		openModelDirectoryButton = new Button(parent, SWT.PUSH);
-		openModelDirectoryButton.setText("Open...");
+		openModelDirectoryButton.setText(TXMUIMessages.open);
 		openModelDirectoryButton.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, false, false));
 		openModelDirectoryButton.addSelectionListener(new SelectionListener() {
 			@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog2.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog2.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog2.java	(revision 3893)
@@ -139,7 +139,7 @@
 		// }
 		// });
 		
-		Button button = createButton(parent, IDialogConstants.BACK_ID, "Reset values", false);
+		Button button = createButton(parent, IDialogConstants.BACK_ID, TXMUIMessages.resetValues, false);
 		button.removeListener(SWT.Selection, button.getListeners(SWT.Selection)[0]);
 		
 		button.addSelectionListener(new SelectionAdapter() {
@@ -168,7 +168,7 @@
 		GridLayout layout = new GridLayout(1, true);
 		composite.setLayout(layout);
 		
-		columns = new ParametersGLComposite(composite, SWT.NONE, "parameters", this.manager);
+		columns = new ParametersGLComposite(composite, SWT.NONE, "parameters", this.manager); //$NON-NLS-1$
 		
 		new Label(composite, SWT.NONE).setText(TXMUIMessages.mandatoryFields);
 		
@@ -183,7 +183,7 @@
 	protected void okPressed() {
 		ArrayList<String> missing = columns.getNonSetFields();
 		if (missing.size() > 0) {
-			System.out.println(TXMUIMessages.errorColonMissingValueColon + StringUtils.join(missing, ", "));
+			System.out.println(TXMUIMessages.errorColonMissingValueColon + StringUtils.join(missing, ", ")); //$NON-NLS-1$
 			return; // abort
 		}
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/DateField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/DateField.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/DateField.java	(revision 3893)
@@ -53,7 +53,7 @@
 				dt.setMonth(date.getMonth());
 				dt.setDay(date.getDay());
 			} catch(Exception e) {
-				System.out.println("Failed to set default value with: "+getWidgetDefault()+": "+e); //$NON-NLS-2$
+				System.out.println("Failed to set default value with: "+getWidgetDefault()+": "+e);  //$NON-NLS-1$//$NON-NLS-2$
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 3893)
@@ -113,7 +113,7 @@
 				}
 				
 				// count number of mandatory fields set AND add exception for "Separator" widget types
-				if (option.required() || "Separator".equals(option.widget())) {
+				if (option.required() || "Separator".equals(option.widget())) { //$NON-NLS-1$
 					mandatoryParametersToSetByTheUser.add(option.name());
 				}
 				parametersToSetByTheUser.add(option.name());
@@ -126,7 +126,7 @@
 		defaultValues = new Properties();
 		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts/groovy/user"; //$NON-NLS-1$
 		
-		propFile = new File(scriptRootDir, this.script.replace(".", "/") + ".properties");
+		propFile = new File(scriptRootDir, this.script.replace(".", "/") + ".properties"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		loadDefaultValuesFromPropFile();
 	}
@@ -136,10 +136,10 @@
 		if (propFile.exists()) {
 			try {
 				defaultValues.load(new FileReader(propFile));
-				Log.fine("Retrieving previous macro parameters from " + propFile + " values=" + defaultValues.entrySet() + "...");
+				Log.fine("Retrieving previous macro parameters from " + propFile + " values=" + defaultValues.entrySet() + "..."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
 			catch (Throwable e) {
-				Log.severe("Failed to load previous values from " + propFile + ": " + e);
+				Log.severe(TXMUIMessages.failedToLoadPreviousValuesFromP0P1 + propFile + ": " + e);
 				Log.printStackTrace(e);
 			}
 		}
@@ -150,17 +150,17 @@
 			String stringValue = option.def();
 			
 			Object value = null;
-			if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$
+			if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 				value = new File(stringValue);
-			} else if ("Files".equals(widgetName) || "FilesOpen".equals(widgetName)) { //$NON-NLS-1$
-				String[] paths = stringValue.split(""+File.pathSeparatorChar);
+			} else if ("Files".equals(widgetName) || "FilesOpen".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
+				String[] paths = stringValue.split(""+File.pathSeparatorChar); //$NON-NLS-1$
 				File[] files = new File[paths.length];
 				for (int i = 0 ; i < paths.length ; i++) {
 					files[i] = new File(paths[i]);
 				}
 				value = files;
 			}
-			else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$
+			else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 				value = new File(stringValue);
 			}
 			else if ("Folder".equals(widgetName)) { //$NON-NLS-1$
@@ -174,7 +174,7 @@
 					value = DateField.formater.parse(stringValue);
 				}
 				catch (ParseException e) {
-					Log.severe("Wrong default date format: " + stringValue + ". Waiting for: " + DateField.STRINGFORMAT + ". Error = " + e + ".");
+					Log.severe("Wrong default date format: " + stringValue + ". Waiting for: " + DateField.STRINGFORMAT + ". Error = " + e + "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 					value = new Date();
 				}
 			}
@@ -224,9 +224,9 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		int idx2 = script.lastIndexOf("Macro");
+		int idx2 = script.lastIndexOf("Macro"); //$NON-NLS-1$
 		if (idx2 < 0) idx2 = script.length();
-		title = TXMUIMessages.bind(TXMUIMessages.p0ParametersInput, script.substring(script.lastIndexOf(".") + 1, idx2));
+		title = TXMUIMessages.bind(TXMUIMessages.p0ParametersInput, script.substring(script.lastIndexOf(".") + 1, idx2)); //$NON-NLS-1$
 		newShell.setText(title);
 		newShell.setMinimumSize(450, 450);
 		
@@ -286,7 +286,7 @@
 		// }
 		// });
 		
-		Button button = createButton(parent, IDialogConstants.BACK_ID, "Reset values", false);
+		Button button = createButton(parent, IDialogConstants.BACK_ID, TXMUIMessages.resetValues, false);
 		button.removeListener(SWT.Selection, button.getListeners(SWT.Selection)[0]);
 		
 		button.addSelectionListener(new SelectionAdapter() {
@@ -335,7 +335,7 @@
 		// scrolledComposite.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
 		// scrolledComposite.setLayout(new GridLayout(1, true));
 		
-		GLComposite columns = new GLComposite(composite, SWT.NONE, "columns");
+		GLComposite columns = new GLComposite(composite, SWT.NONE, "columns"); //$NON-NLS-1$
 		columns.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
 		columns.getLayout().numColumns = 1;
 		
@@ -350,7 +350,7 @@
 			columns.getLayout().numColumns = 1 + (parametersToSetByTheUser.size() / MAX_PARAMETERS_PER_LINE);
 		}
 		
-		GLComposite column = new GLComposite(columns, SWT.NONE, "column");
+		GLComposite column = new GLComposite(columns, SWT.NONE, "column"); //$NON-NLS-1$
 		GridData gdata = new GridData(SWT.FILL, SWT.FILL, true, true);
 		gdata.minimumWidth = 200;
 		column.setLayoutData(gdata);
@@ -361,7 +361,7 @@
 		for (NamedOptionDef option : parameters) {
 			n++;
 			if (n % MAX_PARAMETERS_PER_LINE == 0) {
-				column = new GLComposite(columns, SWT.NONE, "column");
+				column = new GLComposite(columns, SWT.NONE, "column"); //$NON-NLS-1$
 				gdata = new GridData(SWT.FILL, SWT.FILL, true, true);
 				gdata.minimumWidth = 200;
 				column.setLayoutData(gdata);
@@ -371,12 +371,12 @@
 			// each widget is initialized with de default value set in @Field@def attribute
 			String widgetName = option.widget();
 			ParameterField widget = null;
-			if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$
+			if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 				widget = new FileField(column, SWT.NONE, option);
-			} else if ("Files".equals(widgetName) || "FilesOpen".equals(widgetName)) { //$NON-NLS-1$
+			} else if ("Files".equals(widgetName) || "FilesOpen".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 				widget = new FilesField(column, SWT.NONE, option);
 			}
-			else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$
+			else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 				widget = new CreateFileField(column, SWT.NONE, option);
 			}
 			else if ("Folder".equals(widgetName)) { //$NON-NLS-1$
@@ -432,7 +432,7 @@
 				String value = defaultValues.getProperty(option.name());
 				String value2 = null;
 				if (args.get(option.name()) != null) {
-					value2 = ""+args.get(option.name());
+					value2 = ""+args.get(option.name()); //$NON-NLS-1$
 				}
 				if (value != null) { // set the default value using the properties stored
 					widget.setDefault(value);
@@ -460,7 +460,7 @@
 			Object value = w.getWidgetValue();
 			
 			// is widget set if mandatory EXCEPT "Separator" widgets
-			if (w.isWidgetMandatory() && value == null && !("Separator".equals(w.getWidgetType()))) {
+			if (w.isWidgetMandatory() && value == null && !("Separator".equals(w.getWidgetType()))) { //$NON-NLS-1$
 				Log.warning(TXMUIMessages.errorColonMissingValueColon + field);
 				error = true;
 			}
@@ -485,10 +485,10 @@
 		if (!error) {
 			try {
 				propFile.getParentFile().mkdirs();
-				defaultValues.store(new FileWriter(propFile), "");
+				defaultValues.store(new FileWriter(propFile), ""); //$NON-NLS-1$
 			}
 			catch (IOException e) {
-				Log.severe("Warning: failed to store default macro values in " + propFile + ": " + e);
+				Log.severe(TXMUIMessages.warningFailedToStoreDefaultMacroValuesAtP0 + propFile + ": " + e); //$NON-NLS-2$
 				Log.printStackTrace(e);
 			}
 		}
@@ -522,7 +522,7 @@
 					if (value instanceof File[]) {
 						defaultValues.setProperty(name, StringUtils.join((File[])value, File.pathSeparator));
 					} else if (value instanceof Object[]) {
-						defaultValues.setProperty(name, StringUtils.join((File[])value, ","));
+						defaultValues.setProperty(name, StringUtils.join((File[])value, ",")); //$NON-NLS-1$
 					} else {
 						defaultValues.setProperty(name, value.toString());
 					}
@@ -580,7 +580,7 @@
 				groovy.lang.Script script = (groovy.lang.Script) bean;
 				
 				// if the "args" variable exists then use its values. Can be used to set a default value by another Macro
-				if (script.getBinding().hasVariable("args")) {
+				if (script.getBinding().hasVariable("args")) { //$NON-NLS-1$
 					oArgs = script.getBinding().getVariable("args"); //$NON-NLS-1$
 				}
 			}
@@ -590,7 +590,7 @@
 				groovy.lang.Script script = (groovy.lang.Script) bean;
 				
 				// if the "defaultArgs" variable exists then use its values. Can be used to set a default value by another Macro
-				if (script.getBinding().hasVariable("defaultArgs")) {
+				if (script.getBinding().hasVariable("defaultArgs")) { //$NON-NLS-1$
 					oDefaultArgs = script.getBinding().getVariable("defaultArgs"); //$NON-NLS-1$
 				}
 			}
@@ -605,8 +605,8 @@
 			
 			if (bean instanceof groovy.lang.Script) { // create the args binding if not already existing
 				groovy.lang.Script script = (groovy.lang.Script) bean;
-				if (!script.getBinding().hasVariable("args")) {
-					script.getBinding().setVariable("args", args);
+				if (!script.getBinding().hasVariable("args")) { //$NON-NLS-1$
+					script.getBinding().setVariable("args", args); //$NON-NLS-1$
 				}
 			}
 			
@@ -620,12 +620,12 @@
 			
 			if (bean instanceof groovy.lang.Script) { // create the args binding if not already existing
 				groovy.lang.Script script = (groovy.lang.Script) bean;
-				if (!script.getBinding().hasVariable("defaultArgs")) {
-					script.getBinding().setVariable("defaultArgs", defaultArgs);
+				if (!script.getBinding().hasVariable("defaultArgs")) { //$NON-NLS-1$
+					script.getBinding().setVariable("defaultArgs", defaultArgs); //$NON-NLS-1$
 				}
 			}
 			
-			Log.finest("Calling syncExec on display: " + Display.getDefault());
+			Log.finest("Calling syncExec on display: " + Display.getDefault()); //$NON-NLS-1$
 			Display.getDefault().syncExec(new Runnable() {
 				
 				@Override
@@ -636,17 +636,17 @@
 						
 						Display display = Display.getCurrent();
 						Shell shell = display.getActiveShell();
-						Log.finest("Display=" + display + " Shell=" + shell);
+						Log.finest("Display=" + display + " Shell=" + shell); //$NON-NLS-1$ //$NON-NLS-2$
 						// check names
 						Class c = bean.getClass();
-						Log.finest("Parsing options: " + parser.getOptions());
+						Log.finest("Parsing options: " + parser.getOptions()); //$NON-NLS-1$
 						for (OptionHandler opt : parser.getOptions()) { // pre set variable using the defaultArgs binding
 							try {
 								if (opt.option instanceof NamedOptionDef) {
 									NamedOptionDef option = (NamedOptionDef) opt.option;
 									c.getDeclaredField(option.name());
 									if (defaultArgs.containsKey(option.name())) {
-										option.def = ""+defaultArgs.get(option.name());
+										option.def = ""+defaultArgs.get(option.name()); //$NON-NLS-1$
 									}
 								}
 							}
@@ -667,12 +667,12 @@
 							
 							dialog.initializeMacroVariables(); // with args
 							if (missingParameters.size() > 0) {
-								Log.finer("The parameters dialog must be opened to fill parameters " + missingParameters + " and all mandatory fields: " + missingMandatoryParameters);
+								Log.finer("The parameters dialog must be opened to fill parameters " + missingParameters + " and all mandatory fields: " + missingMandatoryParameters); //$NON-NLS-1$ //$NON-NLS-2$
 								retOpen = dialog.open() == ParametersDialog.OK;
 								errorOpen = dialog.isError();
 							}
 							else { // fields initialized by 'args'
-								Log.finest("The parameters dialog dont need to be opened all mandatory fields are set: " + args);
+								Log.finest("The parameters dialog dont need to be opened all mandatory fields are set: " + args); //$NON-NLS-1$
 								if (dialog.getNumberOfFields() > 0) dialog.saveParameters();
 								retOpen = true;
 								errorOpen = false;
@@ -681,16 +681,16 @@
 							if (bean instanceof groovy.lang.Script) { // reset the timer binding if already existing
 								
 								groovy.lang.Script script = (groovy.lang.Script) bean;
-								if (script.getBinding().hasVariable("timer")) {
-									Log.finest("Reset groovy execution timer: " + args);
-									Timer timer = (Timer) script.getBinding().getVariable("timer");
+								if (script.getBinding().hasVariable("timer")) { //$NON-NLS-1$
+									Log.finest("Reset groovy execution timer: " + args); //$NON-NLS-1$
+									Timer timer = (Timer) script.getBinding().getVariable("timer"); //$NON-NLS-1$
 									timer.reset();
 								}
 							}
 						}
 					}
 					catch (Throwable e) {
-						Log.severe("Could not open the parameter dialog: " + e);
+						Log.severe(TXMUIMessages.couldNotOpenTheParameterDialogP0 + e);
 						Log.printStackTrace(e);
 						errorOpen = true;
 					}
@@ -698,7 +698,7 @@
 			});
 			
 		} catch (Throwable e) {
-			Log.severe("Could not open the parameter dialog: " + e);
+			Log.severe(TXMUIMessages.couldNotOpenTheParameterDialogP0 + e);
 			Log.printStackTrace(e);
 			errorOpen = true;
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersManager.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersManager.java	(revision 3893)
@@ -302,20 +302,20 @@
 		String widgetName = getParameterType(key);
 		
 		Object value = null;
-		if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$
+		if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 			value = new File(stringValue);
-		} else if ("Files".equals(widgetName) || "FilesOpen".equals(widgetName)) { //$NON-NLS-1$
-			String[] paths = stringValue.split(""+File.pathSeparatorChar);
+		} else if ("Files".equals(widgetName) || "FilesOpen".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
+			String[] paths = stringValue.split(""+File.pathSeparatorChar); //$NON-NLS-1$
 			File[] files = new File[paths.length];
 			for (int i = 0 ; i < paths.length ; i++) {
 				files[i] = new File(paths[i]);
 			}
 			value = files;
 		}
-		else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$
+		else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 			value = new File(stringValue);
 		}
-		else if ("Folder".equals(widgetName) || "Directory".equals(widgetName)) { //$NON-NLS-1$
+		else if ("Folder".equals(widgetName) || "Directory".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 			value = new File(stringValue);
 		}
 		else if ("Query".equals(widgetName)) { //$NON-NLS-1$
@@ -326,7 +326,7 @@
 				value = DateField.formater.parse(stringValue);
 			}
 			catch (ParseException e) {
-				Log.severe("Wrong default date format: " + stringValue + ". Waiting for: " + DateField.STRINGFORMAT + ". Error = " + e + ".");
+				Log.severe("Wrong default date format: " + stringValue + ". Waiting for: " + DateField.STRINGFORMAT + ". Error = " + e + "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				value = new Date();
 			}
 		}
@@ -372,7 +372,7 @@
 	
 	private String getParameterType(String key) {
 		if (key == null || parameters == null || !parameters.containsKey(key)) {
-			return "String";
+			return "String"; //$NON-NLS-1$
 		}
 		
 		return parameters.get(key).widget();
@@ -415,7 +415,7 @@
 	public void finalToFile(File propFile) throws IOException {
 		Properties props = finalToProperties();
 		PrintWriter writer = IOUtils.getWriter(propFile);
-		props.store(writer, "TXM parameters");
+		props.store(writer, "TXM parameters"); //$NON-NLS-1$
 		writer.close();
 		return;
 	}
@@ -423,13 +423,13 @@
 	public static void main(String[] args) {
 		AtestClass atc = new AtestClass();
 		ParametersManager pm = new ParametersManager();
-		pm.updateChosenValue("file", new File("testfile"));
-		pm.updateChosenValue("dir", new File("testdir"));
-		pm.updateChosenValue("ii", 1);
+		pm.updateChosenValue("file", new File("testfile")); //$NON-NLS-1$ //$NON-NLS-2$
+		pm.updateChosenValue("dir", new File("testdir")); //$NON-NLS-1$ //$NON-NLS-2$
+		pm.updateChosenValue("ii", 1); //$NON-NLS-1$
 		pm.historyBack();
 		pm.historyBack();
 		pm.finalToBean(atc);
-		System.out.println("atc=" + atc);
+		System.out.println("atc=" + atc); //$NON-NLS-1$
 	}
 	
 	public LinkedHashMap<String, Object> getDefaultValues() {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/IntegerField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/IntegerField.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/IntegerField.java	(revision 3893)
@@ -5,6 +5,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Spinner;
 import org.kohsuke.args4j.NamedOptionDef;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class IntegerField extends LabelField {
 	Spinner dt;
@@ -27,7 +28,7 @@
 		try {
 			dt.setSelection(Integer.parseInt(""+text)); //$NON-NLS-1$
 		} catch(Exception e) {
-			System.out.println("Cannot set IntegerField with default properties value="+text+": "+e); //$NON-NLS-2$
+			System.out.println(TXMUIMessages.cannotSetIntegerFieldWithDefaultPropertiesValue+text+": "+e); //$NON-NLS-2$
 		}
 	}
 
@@ -37,7 +38,7 @@
 			try {
 				dt.setSelection(Integer.parseInt(getWidgetDefault()));
 			} catch (Exception e) {
-				System.out.println("Cannot set IntegerField with default value="+getWidgetDefault()+": "+e); //$NON-NLS-2$
+				System.out.println(TXMUIMessages.cannotSetIntegerFieldWithDefaultPropertiesValue+getWidgetDefault()+": "+e); //$NON-NLS-2$
 			}
 		}  else {
 			dt.setSelection(0);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java	(revision 3893)
@@ -126,8 +126,8 @@
 
 			settingsButton = new Button(this, SWT.PUSH);
 			settingsButton.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
-			settingsButton.setImage(IImageKeys.getImage("platform:/plugin/org.eclipse.jface/org/eclipse/jface/dialogs/images/popup_menu.png"));
-			settingsButton.setToolTipText("Query options");
+			settingsButton.setImage(IImageKeys.getImage("platform:/plugin/org.eclipse.jface/org/eclipse/jface/dialogs/images/popup_menu.png")); //$NON-NLS-1$
+			settingsButton.setToolTipText(TXMUIMessages.queryOptions);
 			settingsButton.addSelectionListener(new SelectionListener() {
 
 				@Override
@@ -181,7 +181,7 @@
 		// querywidget.layout();
 		// relayout();
 
-		setMagicEnabled("CQP".equals(se.getName()) || "CQP".equals(se.getOptionForSearchengine())); //$NON-NLS-1$
+		setMagicEnabled("CQP".equals(se.getName()) || "CQP".equals(se.getOptionForSearchengine())); //$NON-NLS-1$ //$NON-NLS-2$
 
 		String defaultEngineName = SearchEnginePreferences.getInstance().getString(SearchEnginePreferences.DEFAULT_SEARCH_ENGINE);
 		if (defaultEngineName.equals(se.getName()) || defaultEngineName.equals(se.getOptionForSearchengine())) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/SelectDirectoryWidget.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/SelectDirectoryWidget.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/SelectDirectoryWidget.java	(revision 3893)
@@ -51,7 +51,7 @@
 		});
 		
 		Button selectDirectoryButton = new Button(this, SWT.PUSH);
-		selectDirectoryButton.setText("...");
+		selectDirectoryButton.setText("..."); //$NON-NLS-1$
 		selectDirectoryButton.addSelectionListener(new SelectionListener() {
 
 			@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3892)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3893)
@@ -117,12 +117,12 @@
 		
 		modifiesTextsCheck = new Button(textsGroup, SWT.RADIO);
 		modifiesTextsCheck.setText(TXMUIMessages.withModifications);
-		modifiesTextsCheck.setToolTipText("Only the modified corpus texts are updated");
+		modifiesTextsCheck.setToolTipText(TXMUIMessages.onlyTheModifiedCorpusTextsAreUpdated);
 		modifiesTextsCheck.setSelection(!doForceUpdate);
 		
 		forceUpdateCheck = new Button(textsGroup, SWT.RADIO);
 		forceUpdateCheck.setText(TXMUIMessages.common_all);
-		forceUpdateCheck.setToolTipText("All the corpus texts will be updated, modified or not");
+		forceUpdateCheck.setToolTipText(TXMUIMessages.allTheCorpusTextsWillBeUpdated);
 		forceUpdateCheck.setSelection(doForceUpdate);
 		
 		//		Group todoGroup = new Group(comp, SWT.NONE);
